export const getHeightStats = (wpts: Wpt[]) => {
  let previous: number | null = null,
    min: number | null = null,
    max: number | null = null,
    positive: number = 0,
    negative: number = 0;

  wpts.forEach((wpt) => {
    if (wpt.ele) {
      const ele = Math.round(wpt.ele);
      if (!max || ele > max) {
        max = ele;
      }
      if (!min || ele < min) {
        min = ele;
      }
      if (previous) {
        if (ele > previous) {
          positive += ele - previous;
        } else {
          negative += previous - ele;
        }
      }
      previous = ele;
    }
  });
  return { min, max, positive, negative };
};

export const getFormattedHeightStats = (wpts: Wpt[]) => {
  const { min, max, positive, negative } = getHeightStats(wpts);
  return `d+ : ${positive}m, d- : ${negative}m`;
};
